• Paket Versionskonflikte


    Hallo,

    ich beobachte seit einer Weile immer wieder eine Meldung eines Versionskonfliktes. Irgendwas von Dash to Dock wäre zu neu oder neuer als vorgesehen.

    Desweiteren bekomme ich beim manuellen Update immer angeblich fehlende Pakete angezeigt. Schaue ich alle einzeln nach sind diese jedoch alle installiert.

    Wie kann man hier aufräumen das alles wieder rundläuft? Installiert sind unten aufgeführte Versionen.

    yay -Syua
    :: Searching AUR for updates...
     -> cwiid: local (0.6.00+svn201-3) is newer than AUR (svn_history-3)
     -> lib32-libtxc_dxtn: local (1.0.1-5) is newer than AUR (1.0.1-1)
     -> libtxc_dxtn: local (1.0.1-6) is newer than AUR (1.0.1-1)
     -> Missing AUR Packages:  antergos-gnome-setup  js  js38  libcloudproviders  libfmt-git  libnm-gtk  libtracker-sparql  pcmciautils
     there is nothing to do
     
    
    sudo pacman -Syyu
    :: Synchronisiere Paketdatenbanken...
     antergos                                                               161,6 KiB  1795K/s 00:00  100%
     core                                                                   133,7 KiB  2,33M/s 00:00  100%
     extra                                                                 1692,8 KiB  5,76M/s 00:00  100%
     community                                                                4,8 MiB  5,62M/s 00:01  100%
     multilib                                                               174,9 KiB  6,33M/s 00:00  100%
    :: Starte vollständige Systemaktualisierung...
     Es gibt nichts zu tun
    
    
    antergos-gnome-setup  1.0-4
    js  24.2.0-4
    js38  38.8.0-4
    libcloudproviders  0.2.5+9+g93dc5ea-1
    libfmt-git  4.0.0.r5.g589ccc1-1
    libnm-gtk  1.8.19dev+21+geebf7f95-1
    libtracker-sparql  1.12.3-1
    pcmciautils  018-8
    
    
    gnome-shell-extension-dash-to-dock  66-1
    gnome-shell-extension-dash-to-dock-git  66.r1.g94becd3-1
    
  • @ArchiBald ich guck mir das Morgen mal an…

  • @ArchiBald said in Paket Versionskonflikte:

    -> Missing AUR Packages: antergos-gnome-setup js js38 libcloudproviders libfmt-git libnm-gtk libtracker-sparql pcmciautils

    existieren alle nicht mehr …

    cwiid --> Linux Nintendo Wiimote interface

    lib32-libtxc_dxtn // libtxc_dxtn --> the S3TC algorithm, needed by wine-staging DXTn patches
    https://bugs.archlinux.org/task/56660 : libtxc_dxtn is now integrated into Mesa

    gnome-shell-extension-dash-to-dock sollte behalten werden (Antergos Paket) git ist aus dem AUR und unnötig…

    poste doch mal was folgender Befehl ausgibt, eingeben ohne ihn auszuführen! ersteinmal um zu sehen was bei dir als verweist angezeigt wird:

    sudo pacman -Rns $(pacman -Qtdq)
    

    ins terminal eingeben, passwort eingeben – Enter drücken und posten was das ausgibt… aber eben nicht “j” und ausführen …

  • @joekamprad said in Paket Versionskonflikte:

    sudo pacman -Rns $(pacman -Qtdq)

    Ausgabe ist folgende

    Prüfe Abhängigkeiten...
    
    Pakete (47) c-ares-1.15.0-1  gtest-1.8.1-3  jemalloc-1:5.1.0-1  libev-4.25-1  nodejs-11.13.0-1  perl-xml-parser-2.44-7
                python2-dbus-1.2.8-2  python2-gobject-3.32.0-1  recode-3.7.1-1  xorg-fonts-alias-1.0.3-2  boost-1.69.0-1
                caribou-0.4.21+60+gec9041b-2  cwiid-0.6.00+svn201-3  doxygen-1.8.15-1  enca-1.19-2  flite-2.1-1  gamin-0.1.10-9
                gconf-3.2.6+11+g07808097-4  gmime-2.6.23+4+g91dcee38-2  gmock-1.8.1-3  gperf-3.1-2  gtksourceview3-3.24.10-1
                http-parser-2.9.0-1  ibus-1.5.20-2  idnkit-1.0-4  intltool-0.51.0-4  js-24.2.0-4  js38-38.8.0-4
                lib32-libtxc_dxtn-1.0.1-5  libaacs-0.9.0-3  libcloudproviders-0.2.5+9+g93dc5ea-1
                libcrossguid-git-0.2.2.r15.g7a42917-1  libfilezilla-0.15.1-1  libfmt-git-4.0.0.r5.g589ccc1-1
                libnm-gtk-1.8.19dev+21+geebf7f95-1  libtracker-sparql-1.12.3-1  nasm-2.14.02-1  nghttp2-1.36.0-1
                nodejs-less-3.9.0-1  package-query-1.9.r380-3  python-sip-4.19.15-1  python-virtualenv-16.1.0-1
                rapidjson-git-r1921.2f45319b-1  schroedinger-1.0.11-5  sip-4.19.15-1  swig-3.0.12-2  xorg-fonts-misc-1.0.3-6
    
    Gesamtgröße der entfernten Pakete:  335,58 MiB
    
    
  • Sieht alles nach Paketleichen aus.

    Kannst du schauen ob du antergos-gnome-meta installiert hast?

    pacman -Qs antergos-gnome-meta
    

    Das stellt sicher das sich gnome nicht ohne weiteres deinstallieren lässt.

  • @joekamprad said in Paket Versionskonflikte:

    pacman -Qs antergos-gnome-meta

    Hallo,

    wenn ich das eingebe, auch voran mit sudo probiert, tut sich nichts. Es erfolgt keine Ausgabe, als wenn man nichts eingegeben hätte.

  • @ArchiBald said in Paket Versionskonflikte:

    antergos-gnome-meta

    pacman -Qs antergos | grep meta
    
  • Hallo,

    auch damit erhalte ich keinerlei Ausgabe.
    Ihr wollt nach Paketen mit “meta” im Namen suchen?
    Mit pacman -Qs meta erhalte ich das

    ocal/appstream-glib 0.7.15-1
        Objects and methods for reading and writing AppStream metadata
    local/exempi 2.5.0-1
        A library to parse XMP metadata
    local/exiv2 0.26-2
        Exif, Iptc and XMP metadata manipulation library and tools
    local/folks 0.11.4+58+gdd7cb009-1
        Library to aggregates people into metacontacts
    local/libiptcdata 1.0.4-4
        Library for manipulating the IPTC metadata
    local/perl 5.28.1-1 (base)
        A highly capable, feature-rich programming language
    local/pkgconf 1.6.1-1 (base-devel)
        Package compiler and linker metadata toolkit
    local/pkgfile 19-1
        a pacman .files metadata explorer
    local/taglib 1.11.1-3
        A Library for reading and editing the meta-data of several popular audio formats
    local/thin-provisioning-tools 0.7.6-1
        Suite of tools for manipulating the metadata of the dm-thin device-mapper target
    
    
  • @ArchiBald
    Nein, ich möchte wissen, welche Desktop-Umgebung Sie haben. Dafür ist eine etwas bessere Suche:

    pacman -Qs antergos- | grep meta
    
  • Hmmm. Wie gesagt, ich erhalte mit den Befehlen keine Ausgabe.

    mit pacman -Qs antergos erhalte ich

    local/antergos-alerts 18.9.9-1 (antergos-base)
        Notifies users when new antergos alerts are issued.
    local/antergos-alpm-hooks 1.1-1 (antergos-base)
        Antergos alpm hooks
    local/antergos-gnome-defaults-list 1.1-3
        default file associations for GNOME environment
    local/antergos-gnome-setup 1.0-4
        Setup configuration for Antergos Gnome
    local/antergos-keyring 20170524-1 (antergos-base)
        Antergos PGP keyring
    local/antergos-mirrorlist 20180830-2 (antergos-base)
        Antergos mirrorlist for use by pacman
    local/antergos-wallpapers 0.7-3
        Default wallpapers for Antergos Linux
    local/antergos-welcome 0.3-2
        Welcome screen for Antergos Linux
    local/grub2-theme-antergos 0.1-1
        Antergos default Grub2 theme
    local/numix-frost-themes 3.6.6-1 (themes themes::gtk)
        Official Numix GTK theme - Antergos Edition
    
  • @ArchiBald
    Sie haben also keine antergos-*-meta pakete. Was ist Ihre DE (Desktop-Umgebung)?

  • @ArchiBald said in Paket Versionskonflikte:

    local/antergos-gnome-setup 1.0-4

    Ja alte installation…

    GNOME Desktop

    Ich willte nur sehen ob das Paket antergos-gnome-meta installiert ist, da das sicher stellt das du GNOME nicht einfach deinstallieren kannst…

    sudo pacman -S antergos-gnome-meta
    sudo pacman -R antergos-gnome-setup js js38 libcloudproviders libfmt-git libnm-gtk libtracker-sparql pcmciautils
    sudo pacman -Rns $(pacman -Qtdq)

  • Hallo,

    mein Desktop ist Gnome, dass wisst ihr ja schon.

    Habe im blinden Vertrauen die 3 Befehle ausgeführt.
    Soll ich jetzt neu booten?

    $ sudo pacman -S antergos-gnome-meta
    Löse Abhängigkeiten auf...
    Suche nach in Konflikt stehenden Paketen...
    
    Pakete (4) gd-2.2.5-1  gvfs-gphoto2-1.40.0-1  libgphoto2-2.5.22-1  antergos-gnome-meta-1.2-1
    
    Gesamtgröße des Downloads:           1,52 MiB
    Gesamtgröße der installierten Pakete:  7,95 MiB
    
    :: Installation fortsetzen? [J/n] J
    :: Empfange Pakete...
     antergos-gnome-meta-1.2-1-any                              6,8 KiB  0,00B/s 00:00 [###############################################] 100%
     gd-2.2.5-1-x86_64                                        149,6 KiB  2,43M/s 00:00 [###############################################] 100%
     libgphoto2-2.5.22-1-x86_64                              1357,6 KiB  5,87M/s 00:00 [###############################################] 100%
     gvfs-gphoto2-1.40.0-1-x86_64                              43,2 KiB  6,02M/s 00:00 [###############################################] 100%
    (4/4) Prüfe Schlüssel im Schlüsselring                                             [###############################################] 100%
    (4/4) Überprüfe Paket-Integrität                                                   [###############################################] 100%
    (4/4) Lade Paket-Dateien                                                           [###############################################] 100%
    (4/4) Prüfe auf Dateikonflikte                                                     [###############################################] 100%
    (4/4) Überprüfe verfügbaren Festplattenspeicher                                    [###############################################] 100%
    :: Verarbeite Paketänderungen...
    (1/4) Installiere gd                                                               [###############################################] 100%
    Optionale Abhängigkeiten für gd
        perl: bdftogd script [Installiert]
    (2/4) Installiere libgphoto2                                                       [###############################################] 100%
    (3/4) Installiere gvfs-gphoto2                                                     [###############################################] 100%
    (4/4) Installiere antergos-gnome-meta                                              [###############################################] 100%
    :: Starte post-transaction hooks...
    (1/4) Reloading GVFS config...
    (2/4) Updating udev hardware database...
    (3/4) Reloading device manager configuration...
    (4/4) Arming ConditionNeedsUpdate...
    
    
    $ sudo pacman -R antergos-gnome-setup js js38 libcloudproviders libfmt-git libnm-gtk libtracker-sparql pcmciautils
    Prüfe Abhängigkeiten...
    
    Pakete (8) antergos-gnome-setup-1.0-4  js-24.2.0-4  js38-38.8.0-4  libcloudproviders-0.2.5+9+g93dc5ea-1  libfmt-git-4.0.0.r5.g589ccc1-1
               libnm-gtk-1.8.19dev+21+geebf7f95-1  libtracker-sparql-1.12.3-1  pcmciautils-018-8
    
    Gesamtgröße der entfernten Pakete:  29,94 MiB
    
    :: Möchten Sie diese Pakete entfernen? [J/n] J
    :: Verarbeite Paketänderungen...
    (1/8) Entferne pcmciautils                                                         [###############################################] 100%
    (2/8) Entferne libtracker-sparql                                                   [###############################################] 100%
    (3/8) Entferne libnm-gtk                                                           [###############################################] 100%
    (4/8) Entferne libfmt-git                                                          [###############################################] 100%
    (5/8) Entferne libcloudproviders                                                   [###############################################] 100%
    (6/8) Entferne js38                                                                [###############################################] 100%
    (7/8) Entferne js                                                                  [###############################################] 100%
    (8/8) Entferne antergos-gnome-setup                                                [###############################################] 100%
    :: Starte post-transaction hooks...
    (1/3) Compiling GSettings XML schema files...
    (2/3) Reloading device manager configuration...
    (3/3) Arming ConditionNeedsUpdate...
    
    
    $ sudo pacman -Rns $(pacman -Qtdq)
    Prüfe Abhängigkeiten...
    
    Pakete (41) c-ares-1.15.0-1  gtest-1.8.1-3  jemalloc-1:5.1.0-1  libev-4.25-1  nodejs-11.13.0-1  perl-xml-parser-2.44-7
                python2-dbus-1.2.8-2  python2-gobject-3.32.0-1  recode-3.7.1-1  xorg-fonts-alias-1.0.3-2  boost-1.69.0-1
                caribou-0.4.21+60+gec9041b-2  cwiid-0.6.00+svn201-3  doxygen-1.8.15-1  enca-1.19-2  flite-2.1-1  gamin-0.1.10-9
                gconf-3.2.6+11+g07808097-4  gmime-2.6.23+4+g91dcee38-2  gmock-1.8.1-3  gperf-3.1-2  gtksourceview3-3.24.10-1
                http-parser-2.9.0-1  ibus-1.5.20-2  idnkit-1.0-4  intltool-0.51.0-4  lib32-libtxc_dxtn-1.0.1-5  libaacs-0.9.0-3
                libcrossguid-git-0.2.2.r15.g7a42917-1  libfilezilla-0.15.1-1  nasm-2.14.02-1  nghttp2-1.36.0-1  nodejs-less-3.9.0-1
                package-query-1.9.r380-3  python-sip-4.19.15-1  python-virtualenv-16.1.0-1  rapidjson-git-r1921.2f45319b-1
                schroedinger-1.0.11-5  sip-4.19.15-1  swig-3.0.12-2  xorg-fonts-misc-1.0.3-6
    
    Gesamtgröße der entfernten Pakete:  305,72 MiB
    
    :: Möchten Sie diese Pakete entfernen? [J/n] J
    :: Starte pre-transaction hooks...
    (1/1) Removing old entries from the info directory file...
    :: Verarbeite Paketänderungen...
    ( 1/41) Entferne xorg-fonts-misc                                                   [###############################################] 100%
    ( 2/41) Entferne xorg-fonts-alias                                                  [###############################################] 100%
    ( 3/41) Entferne swig                                                              [###############################################] 100%
    ( 4/41) Entferne sip                                                               [###############################################] 100%
    ( 5/41) Entferne schroedinger                                                      [###############################################] 100%
    ( 6/41) Entferne rapidjson-git                                                     [###############################################] 100%
    ( 7/41) Entferne python-virtualenv                                                 [###############################################] 100%
    ( 8/41) Entferne python-sip                                                        [###############################################] 100%
    ( 9/41) Entferne package-query                                                     [###############################################] 100%
    (10/41) Entferne nodejs-less                                                       [###############################################] 100%
    (11/41) Entferne nodejs                                                            [###############################################] 100%
    (12/41) Entferne nghttp2                                                           [###############################################] 100%
    (13/41) Entferne libev                                                             [###############################################] 100%
    (14/41) Entferne jemalloc                                                          [###############################################] 100%
    (15/41) Entferne c-ares                                                            [###############################################] 100%
    (16/41) Entferne nasm                                                              [###############################################] 100%
    (17/41) Entferne libfilezilla                                                      [###############################################] 100%
    (18/41) Entferne libcrossguid-git                                                  [###############################################] 100%
    (19/41) Entferne libaacs                                                           [###############################################] 100%
    (20/41) Entferne lib32-libtxc_dxtn                                                 [###############################################] 100%
    (21/41) Entferne intltool                                                          [###############################################] 100%
    (22/41) Entferne perl-xml-parser                                                   [###############################################] 100%
    (23/41) Entferne idnkit                                                            [###############################################] 100%
    (24/41) Entferne ibus                                                              [###############################################] 100%
    (25/41) Entferne python2-gobject                                                   [###############################################] 100%
    (26/41) Entferne python2-dbus                                                      [###############################################] 100%
    (27/41) Entferne http-parser                                                       [###############################################] 100%
    (28/41) Entferne gtksourceview3                                                    [###############################################] 100%
    (29/41) Entferne gperf                                                             [###############################################] 100%
    (30/41) Entferne gmock                                                             [###############################################] 100%
    (31/41) Entferne gtest                                                             [###############################################] 100%
    (32/41) Entferne gmime                                                             [###############################################] 100%
    (33/41) Entferne gconf                                                             [###############################################] 100%
    (34/41) Entferne gamin                                                             [###############################################] 100%
    (35/41) Entferne flite                                                             [###############################################] 100%
    (36/41) Entferne enca                                                              [###############################################] 100%
    (37/41) Entferne recode                                                            [###############################################] 100%
    (38/41) Entferne doxygen                                                           [###############################################] 100%
    (39/41) Entferne cwiid                                                             [###############################################] 100%
    (40/41) Entferne caribou                                                           [###############################################] 100%
    (41/41) Entferne boost                                                             [###############################################] 100%
    :: Starte post-transaction hooks...
    ( 1/11) Checking core system packages
    ( 2/11) Updating fontconfig cache...
    ( 3/11) Updating GIO module cache...
    ( 4/11) Compiling GSettings XML schema files...
    ( 5/11) Probing GTK2 input method modules...
    ( 6/11) Probing GTK3 input method modules...
    ( 7/11) Updating icon theme caches...
    ( 8/11) Reloading system manager configuration...
    ( 9/11) Arming ConditionNeedsUpdate...
    (10/11) Updating the desktop file MIME type cache...
    (11/11) Updating X fontdir indices...
    
    

    führe ich danach, habe noch nicht gebootet,

    $ sudo pacman -Syyu
    

    aus, erhalte ich das

    Starte vollständige Systemaktualisierung...
    Löse Abhängigkeiten auf...
    Suche nach in Konflikt stehenden Paketen...
    
    Pakete (7) device-mapper-2.02.184-1  imagemagick-7.0.8.36-1  libmagick-7.0.8.36-1  lvm2-2.02.184-1  systemd-241.67-1
               systemd-libs-241.67-1  systemd-sysvcompat-241.67-1
    
    Gesamtgröße des Downloads:            8,81 MiB
    Gesamtgröße der installierten Pakete:  39,54 MiB
    Größendifferenz der Aktualisierung:   0,02 MiB
    
    

    Erst booten und dann wieder aktualisieren?

  • ist im Grunde egal, ob du erst updatest oder nach dem reboot.

  • habe es gewagt, läuft und der Desktop sieht gleich viel moderner aus, dass Dashboard links funktioniert auch wieder wie es soll.
    Fettes Danke. Ihr seit die Besten. 👍

paket2 Posts 15Views 154
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.